# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ennbo"
version = "0.2.0"
authors = ["YUBO Lab <david.sweet@yu.edu>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Epistemic Nearest Neighbor Bayesian Optimization"
readme = "README.md"
keywords = [
    "bayesian",
    "optimization",
    "ENN",
    "turbo",
    "turbo-enn",
]
categories = [
    "science",
    "simulation",
]
license = "MIT"
repository = "https://github.com/yubo-research/enn"

[lib]
name = "ennbo"
path = "src/lib.rs"

[[test]]
name = "kiss_repo_strings"
path = "tests/kiss_repo_strings.rs"

[dependencies.faiss]
version = "0.13.0"

[dependencies.ndarray]
version = "0.16"

[dependencies.ndarray-linalg]
version = "0.17"

[dependencies.rand]
version = "0.8"

[dependencies.sobol]
version = "1.0.2"

[dependencies.thiserror]
version = "1.0"

[dev-dependencies.approx]
version = "0.5"

[dev-dependencies.numpy]
version = "0.22"

[dev-dependencies.rand_chacha]
version = "0.3"

[target.'cfg(target_os = "linux")'.dependencies.faiss]
version = "0.13.0"
features = ["static"]
